Page MenuHomePhabricator

Write tests for modules that are in stable and have low code coverage
Closed, DeclinedPublic

Description

Despite these features being surfaced in stable they have very little code coverage:

  • mobile.editor.overlay (44.29%)
  • mobile.abusefilter (43.48%)
  • mobile.contentOverlays (19.05%)
  • mobile.gallery (19.51%)

Let's get these up to at absolute minimum 50%

Update:
Thanks to Florian we have already improved the coverage of mobile.talk.overlays which was previously 43.75% of statements

Event Timeline

Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: ggellerman, Tgr, hashar and 3 others.
Jdlrobson renamed this task from Write tests for talk module to Write tests for modules that are in stable and have low code coverage.Jun 22 2015, 11:41 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
hashar removed a subscriber: hashar.Jun 23 2015, 12:29 PM

Change 220183 had a related patch set uploaded (by Florianschmidtwelzow):
QA: Add unit tests for TalkSectionOverlay

https://gerrit.wikimedia.org/r/220183

Change 220183 merged by jenkins-bot:
QA: Add unit tests for TalkSectionOverlay

https://gerrit.wikimedia.org/r/220183

Jdlrobson updated the task description. (Show Details)Jul 1 2015, 12:18 AM
Jdlrobson removed a project: Patch-For-Review.
Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Aug 4 2015, 6:36 PM
Sn1per claimed this task.Dec 26 2015, 11:11 PM
Sn1per removed Sn1per as the assignee of this task.Dec 27 2015, 8:20 PM
Sn1per added a subscriber: Sn1per.

Requires T112568 to be unblocked first

Jdlrobson closed this task as Declined.Feb 2 2016, 1:01 AM
Jdlrobson claimed this task.

Not actionable at current time and possibly out of date. If someone wants to run qunit test coverage report and open a new task please do :)